Subject: Re: [PATCH v2] misc: Silence warning when building the LAN966x device tree overlay

From: Herve Codina <[email-masked]>
Date: Sat, 26 Oct 2024 13:34:47 +0200

Hi Philipp,

On Fri, 25 Oct 2024 19:21:17 +0200
Herve Codina <[email-masked]> wrote:

> On Fri, 25 Oct 2024 18:53:46 +0200
> Philipp Zabel <[email-masked]> wrote:
> 
> > On Fr, 2024-10-25 at 18:17 +0200, Philipp Zabel wrote:  
> > > Silence the following warning when building the LAN966x device tree overlay:
> > > 
> > > drivers/misc/lan966x_pci.dtso:34.23-40.7: Warning (interrupts_property): /fragment@0/__overlay__/pci-ep-bus@0/oic@e00c0120: Missing interrupt-parent
> > > 
> > > Reported-by: Stephen Rothwell <[email-masked]>
> > > Link: https://lore.kernel.org/all/[email-masked]/
> > > Fixes: 185686beb464 ("misc: Add support for LAN966x PCI device")
> > > Signed-off-by: Philipp Zabel <[email-masked]>
> > > ---
> > > The referenced commit is in the reset tree.
> > > Changes in v2:
> > > - Do not handle W=1 warnings.
> > > - Link to v1: https://lore.kernel.org/all/[email-masked]/
> > > ---
> > >  drivers/misc/Makefile | 1 +
> > >  1 file changed, 1 insertion(+)
> > > 
> > > diff --git a/drivers/misc/Makefile b/drivers/misc/Makefile
> > > index 885b22989580..196fb730817e 100644
> > > --- a/drivers/misc/Makefile
> > > +++ b/drivers/misc/Makefile
> > > @@ -72,6 +72,7 @@ obj-$(CONFIG_TPS6594_PFSM)	+= tps6594-pfsm.o
> > >  obj-$(CONFIG_NSM)		+= nsm.o
> > >  obj-$(CONFIG_MARVELL_CN10K_DPI)	+= mrvl_cn10k_dpi.o
> > >  lan966x-pci-objs		:= lan966x_pci.o
> > > +DTC_FLAGS_lan966x_pci		:= -Wno-interrupts_property
> > >  lan966x-pci-objs		+= lan966x_pci.dtbo.o
> > >  obj-$(CONFIG_MCHP_LAN966X_PCI)	+= lan966x-pci.o
> > >  obj-y				+= keba/    
> > 
> > Applied to reset/next to silence the warning until lan966x_pci.dtso is
> > fixed:  
> 
> This warning 'Missing interrupt-parent' cannot be solved in dtso.
> I cannot reference the interrupt controller (PCI device node itself) which
> is outside the dtso. This PCI device node is the node on which the dtso
> is applied.
> 
> I think the patch you did is the correct one for this warning.

Thought about a way to remove the 'Missing interrupt-parent' warning
modifying the dtso. I will propose a patch on Monday.
If accepted, it will replace your patch.

Best regards,
Hervé